ubuntu/+source/hplip:ubuntu/gutsy-devel

Last commit made on 2009-01-13
Get this branch:
git clone -b ubuntu/gutsy-devel https://git.launchpad.net/ubuntu/+source/hplip
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/gutsy-devel
Repository:
lp:ubuntu/+source/hplip

Recent commits

a8ff31c... by Ansgar Burchardt on 2008-12-18

Import patches-unapplied version 2.7.7.dfsg.1-0ubuntu5.3 to ubuntu/gutsy-security

Imported using git-ubuntu import.

Changelog parent: 75c01a7917f04f85aac525fe660352e0c99b69da

New changelog entries:
  * debian/hplip.postinst: Removed code to correct permissions of .hplip
    personal config in user's home directories (Ubuntu LP: #191299).

75c01a7... by Marc Deslauriers on 2008-11-20

Import patches-unapplied version 2.7.7.dfsg.1-0ubuntu5.2 to ubuntu/gutsy-security

Imported using git-ubuntu import.

Changelog parent: 37f9395b59a390273ed9ebac36f7017e63e77cd9

New changelog entries:
  * SECURITY UPDATE: privilege escalation using the hplip alert-mailing
    functionality.
    - debian/patches/91_SECURITY_CVE-2008-2940.dpatch: fix handle_event()
      in hpssd.py to validate device-uri parameter and disable
      handle_setalerts(). This fix alters hplip behaviour by preventing
      users from setting alerts and by moving alert configuration to a
      root-controlled /etc/hp/alerts.conf file.
    - CVE-2008-2940
  * SECURITY UPDATE: denial of service in hpssd message parser.
    - debian/patches/92_SECURITY_CVE-2008-2941.dpatch: fix handle_event()
      in hpssd.py to correctly validate parameters.
    - CVE-2008-2941

37f9395... by Kees Cook on 2007-10-11

Import patches-unapplied version 2.7.7.dfsg.1-0ubuntu5 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 454ab5d52a11f46efe00af3e839d251b72ee5308

New changelog entries:
  * SECURITY UPDATE: arbitrary command execution via network
  * Add debian/patches/90_subprocess_replacement: use subprocess instead.
  * References
    https://launchpad.net/bugs/149121
    CVE-2007-5208

454ab5d... by Till Kamppeter on 2007-10-04

Import patches-unapplied version 2.7.7.dfsg.1-0ubuntu4 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 77857c36350e9d0d6c071d14f1aaa42c3e525d50

New changelog entries:
  * debian/55-hpmud.rules: Changed UDEV rules to set owner "lp",
    group "scanner", and permissions 0660 for the /dev/... files, so
    that non-privileged users (not in "lp" group, but in "scanner"
    group) can also access the HP printers. Simply using 0666
    permissions is a security problem (LP: #147369).

77857c3... by Till Kamppeter on 2007-10-03

Import patches-unapplied version 2.7.7.dfsg.1-0ubuntu3 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: c45f2530dabc8c2d8132035b3e5ed3a70da1a719

New changelog entries:
  * debian/rules, debian/55-hpmud.rules:
    Updated UDEV rules for HPLIP to the ones of HPLIP 2.7.9. The current
    rules do not work any more (LP: #147369)

c45f253... by Till Kamppeter on 2007-09-05

Import patches-unapplied version 2.7.7.dfsg.1-0ubuntu2 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 7f2080e9fc15cae788211b85ca76740c0afd5889

New changelog entries:
  * debian/control, debian/hplip.install, debian/hplip-gui.install,
    debian/rules:
    Moved menu entries for the GUI utilities into the new hplip-gui package.
    This package requires python-qt3 and so the menu entries can never appear
    if python-qt3 is not installed. Let the main package (hplip) recommend
    hplip-gui instead of python-qt3 now. Fixes: LP: #67892, LP: #86893,
    LP: #134480, LP: #137168

7f2080e... by Till Kamppeter on 2007-08-22

Import patches-unapplied version 2.7.7.dfsg.1-0ubuntu1 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 6510d93b1878347c1ecc02ffbc27d5951af41784

New changelog entries:
  * Modified upstream source tarball: Firmware files for HP LaserJet 1018
    and 1020 removed on HP's request
  * debian/control, debian/rules, debian/hplip-data.install,
    debian/hplip-firmware.install: Removed hplip-firmware binary package.
  * debian/README.Source: Updated packaging documentation
  * debian/hpijs.README.Debian, debian/hpijs.NEWS, debian/hpijs-ppds.NEWS,
    debian/hpijs.1, debian/control: linuxprinting.org -> openprinting.org

6510d93... by Till Kamppeter on 2007-08-17

Import patches-unapplied version 2.7.7-0ubuntu4 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: dd6352efb176efcc3fdba99745ce0a071b016526

New changelog entries:
  * debian/hplip.install: Added missing line "usr/lib/lib*.so.*" (LP: #132670,
    LP: #132781)
  * debian/hplip.preinst: Remove init scripts of former 1.x HPLIP versions
  * debian/hplip.default: Removed, as we do not have permanently running
    daemons any more.
  * debian/hplip.rtupdate, debian/rules, debian/hplip.install: Removed update
    helper, as we do not have permanently running daemons any more.

dd6352e... by Till Kamppeter on 2007-08-13

Import patches-unapplied version 2.7.7-0ubuntu3 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 938fb594468a6e214f9cd301d1bf329e0b321c72

New changelog entries:
  * debian/control: Added "automake" and "libtool" to "Build-Depends"

938fb59... by Till Kamppeter on 2007-08-13

Import patches-unapplied version 2.7.7-0ubuntu2 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: ec1e6671df52289e20bf08977d8f2c4fcea61a0e

New changelog entries:
  * debian/control: Added "autoconf" to "Build-Depends"